# Uses of Enum Class
org.eclipse.emf.cdo.common.commit.CDOChangeKind

Packages that use CDOChangeKind
Package
Description
org.eclipse.emf.cdo.common.commit
Common concepts for dealing with commits and change sets.
org.eclipse.emf.cdo.spi.common.commit
Common service provider interfaces and useful base implementations for dealing with commits and change sets.

## Uses of CDOChangeKind in org.eclipse.emf.cdo.common.commit

Methods in org.eclipse.emf.cdo.common.commit that return CDOChangeKind
Modifier and Type
Method
Description
`CDOChangeKind`
CDOChangeKindProvider.`getChangeKind(CDOID id)`
`static CDOChangeKind`
CDOChangeKind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOChangeKind[]`
CDOChangeKind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.common.commit that return types with arguments of type CDOChangeKind
Modifier and Type
Method
Description
`Map<CDOID,CDOChangeKind>`
CDOChangeSetData.`getChangeKinds()`

## Uses of CDOChangeKind in org.eclipse.emf.cdo.spi.common.commit

Methods in org.eclipse.emf.cdo.spi.common.commit that return CDOChangeKind
Modifier and Type
Method
Description
`CDOChangeKind`
CDOChangeKindCache.`getChangeKind(CDOID id)`